Subject: Re: [PATCH 2/2] archive: support gzipped tar files

From: Miles Bader <[email-masked]>
Date: Wed, 15 Jun 2011 08:40:22 +0900

Jeff King <[email-masked]> writes:
>> I didn't know it was that easy (primarily because I didn't know zlib had a
>> ready-to-eat interface to do this).
>
> Yes, though I think it may be worth doing the more flexible,
> external-filters approach. See elsewhere in the thread.

Given the relatively trivial code, isn't it worth doing both...?

One method for flexibility/multi-threaded-speed, the other for
portability/robustness (doesn't depend on configuration / setup
details)...

-Miles

-- 
"Though they may have different meanings, the cries of 'Yeeeee-haw!' and
 'Allahu akbar!' are, in spirit, not actually all that different."